Package org.flowable.bpmn.model

# Class UserTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.UserTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasValidateFormFields`

Direct Known Subclasses:
  `AlfrescoUserTask`

public class UserTask extends Task implements HasValidateFormFields

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `assignee`
  `protected String`
  `businessCalendarName`
  `protected List<String>`
  `candidateGroups`
  `protected List<String>`
  `candidateUsers`
  `protected String`
  `category`
  `protected Map<String,Set<String>>`
  `customGroupIdentityLinks`
  `protected List<CustomProperty>`
  `customProperties`
  `protected Map<String,Set<String>>`
  `customUserIdentityLinks`
  `protected String`
  `dueDate`
  `protected String`
  `extensionId`
  `protected String`
  `formKey`
  `protected List<FormProperty>`
  `formProperties`
  `protected String`
  `owner`
  `protected String`
  `priority`
  `protected boolean`
  `sameDeployment`
  `protected String`
  `skipExpression`
  `protected String`
  `taskCompleterVariableName`
  `protected String`
  `taskIdVariableName`
  `protected List<FlowableListener>`
  `taskListeners`
  `protected String`
  `validateFormFields`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCustomGroupIdentityLink(String groupId, String type)`
  `void`
  `addCustomUserIdentityLink(String userId, String type)`
  `UserTask`
  `clone()`
  `String`
  `getAssignee()`
  `String`
  `getBusinessCalendarName()`
  `List<String>`
  `getCandidateGroups()`
  `List<String>`
  `getCandidateUsers()`
  `String`
  `getCategory()`
  `Map<String,Set<String>>`
  `getCustomGroupIdentityLinks()`
  `List<CustomProperty>`
  `getCustomProperties()`
  `Map<String,Set<String>>`
  `getCustomUserIdentityLinks()`
  `String`
  `getDueDate()`
  `String`
  `getExtensionId()`
  `String`
  `getFormKey()`
  `List<FormProperty>`
  `getFormProperties()`
  `String`
  `getOwner()`
  `String`
  `getPriority()`
  `String`
  `getSkipExpression()`
  `String`
  `getTaskCompleterVariableName()`
  `String`
  `getTaskIdVariableName()`
  `List<FlowableListener>`
  `getTaskListeners()`
  `String`
  `getValidateFormFields()`
  `boolean`
  `isExtended()`
  `boolean`
  `isSameDeployment()`
  `void`
  `setAssignee(String assignee)`
  `void`
  `setBusinessCalendarName(String businessCalendarName)`
  `void`
  `setCandidateGroups(List<String> candidateGroups)`
  `void`
  `setCandidateUsers(List<String> candidateUsers)`
  `void`
  `setCategory(String category)`
  `void`
  `setCustomGroupIdentityLinks(Map<String,Set<String>> customGroupIdentityLinks)`
  `void`
  `setCustomProperties(List<CustomProperty> customProperties)`
  `void`
  `setCustomUserIdentityLinks(Map<String,Set<String>> customUserIdentityLinks)`
  `void`
  `setDueDate(String dueDate)`
  `void`
  `setExtensionId(String extensionId)`
  `void`
  `setFormKey(String formKey)`
  `void`
  `setFormProperties(List<FormProperty> formProperties)`
  `void`
  `setOwner(String owner)`
  `void`
  `setPriority(String priority)`
  `void`
  `setSameDeployment(boolean sameDeployment)`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setTaskCompleterVariableName(String taskCompleterVariableName)`
  `void`
  `setTaskIdVariableName(String taskIdVariableName)`
  `void`
  `setTaskListeners(List<FlowableListener> taskListeners)`
  `void`
  `setValidateFormFields(String validateFormFields)`
  `void`
  `setValues(UserTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### assignee

    protected String assignee

  - ### owner

    protected String owner

  - ### priority

    protected String priority

  - ### formKey

    protected String formKey

  - ### sameDeployment

    protected boolean sameDeployment

  - ### dueDate

    protected String dueDate

  - ### businessCalendarName

    protected String businessCalendarName

  - ### category

    protected String category

  - ### extensionId

    protected String extensionId

  - ### candidateUsers

    protected List<String> candidateUsers

  - ### candidateGroups

    protected List<String> candidateGroups

  - ### formProperties

    protected List<FormProperty> formProperties

  - ### taskListeners

    protected List<FlowableListener> taskListeners

  - ### skipExpression

    protected String skipExpression

  - ### validateFormFields

    protected String validateFormFields

  - ### taskIdVariableName

    protected String taskIdVariableName

  - ### taskCompleterVariableName

    protected String taskCompleterVariableName

  - ### customUserIdentityLinks

    protected Map<String,Set<String>> customUserIdentityLinks

  - ### customGroupIdentityLinks

    protected Map<String,Set<String>> customGroupIdentityLinks

  - ### customProperties

    protected List<CustomProperty> customProperties

- ## Constructor Details

  - ### UserTask

    public UserTask()

- ## Method Details

  - ### getAssignee

    public String getAssignee()

  - ### setAssignee

    public void setAssignee(String assignee)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public void setOwner(String owner)

  - ### getPriority

    public String getPriority()

  - ### setPriority

    public void setPriority(String priority)

  - ### getFormKey

    public String getFormKey()

  - ### setFormKey

    public void setFormKey(String formKey)

  - ### isSameDeployment

    public boolean isSameDeployment()

  - ### setSameDeployment

    public void setSameDeployment(boolean sameDeployment)

  - ### getDueDate

    public String getDueDate()

  - ### setDueDate

    public void setDueDate(String dueDate)

  - ### getBusinessCalendarName

    public String getBusinessCalendarName()

  - ### setBusinessCalendarName

    public void setBusinessCalendarName(String businessCalendarName)

  - ### getCategory

    public String getCategory()

  - ### setCategory

    public void setCategory(String category)

  - ### getExtensionId

    public String getExtensionId()

  - ### setExtensionId

    public void setExtensionId(String extensionId)

  - ### isExtended

    public boolean isExtended()

  - ### getCandidateUsers

    public List<String> getCandidateUsers()

  - ### setCandidateUsers

    public void setCandidateUsers(List<String> candidateUsers)

  - ### getCandidateGroups

    public List<String> getCandidateGroups()

  - ### setCandidateGroups

    public void setCandidateGroups(List<String> candidateGroups)

  - ### getFormProperties

    public List<FormProperty> getFormProperties()

  - ### setFormProperties

    public void setFormProperties(List<FormProperty> formProperties)

  - ### getTaskListeners

    public List<FlowableListener> getTaskListeners()

  - ### setTaskListeners

    public void setTaskListeners(List<FlowableListener> taskListeners)

  - ### addCustomUserIdentityLink

    public void addCustomUserIdentityLink(String userId, String type)

  - ### addCustomGroupIdentityLink

    public void addCustomGroupIdentityLink(String groupId, String type)

  - ### getCustomUserIdentityLinks

    public Map<String,Set<String>> getCustomUserIdentityLinks()

  - ### setCustomUserIdentityLinks

    public void setCustomUserIdentityLinks(Map<String,Set<String>> customUserIdentityLinks)

  - ### getCustomGroupIdentityLinks

    public Map<String,Set<String>> getCustomGroupIdentityLinks()

  - ### setCustomGroupIdentityLinks

    public void setCustomGroupIdentityLinks(Map<String,Set<String>> customGroupIdentityLinks)

  - ### getCustomProperties

    public List<CustomProperty> getCustomProperties()

  - ### setCustomProperties

    public void setCustomProperties(List<CustomProperty> customProperties)

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### getValidateFormFields

    public String getValidateFormFields()
    Specified by:
      `getValidateFormFields` in interface `HasValidateFormFields`

  - ### setValidateFormFields

    public void setValidateFormFields(String validateFormFields)
    Specified by:
      `setValidateFormFields` in interface `HasValidateFormFields`

  - ### getTaskIdVariableName

    public String getTaskIdVariableName()

  - ### setTaskIdVariableName

    public void setTaskIdVariableName(String taskIdVariableName)

  - ### getTaskCompleterVariableName

    public String getTaskCompleterVariableName()

  - ### setTaskCompleterVariableName

    public void setTaskCompleterVariableName(String taskCompleterVariableName)

  - ### clone

    public UserTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(UserTask otherElement)